Bug 851808 - Review Request: compiz-bcop - Compiz option code generator
Review Request: compiz-bcop - Compiz option code generator
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 19:22 EDT by Wolfgang Ulbrich
Modified: 2013-01-28 10:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-28 10:16:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
leigh123linux: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Ulbrich 2012-08-25 19:22:19 EDT
Spec URL: http://raveit65.fedorapeople.org/compiz/SPEC/compiz-bcop.spec
SRPM URL: http://raveit65.fedorapeople.org/compiz/SRPM/compiz-bcop-0.8.8-2.fc17.src.rpm
Description: BCOP is a code generator that provides an easy way to handle
plugin options by generating parts of the plugin code directly
from the xml metadata file.
It is used for most of the Compiz Fusion plugins
Fedora Account System Username: raveit65
Comment 1 Wolfgang Ulbrich 2012-08-26 06:39:00 EDT
This is a re-review of a retired package.
Comment 2 Wolfgang Ulbrich 2012-09-26 15:58:07 EDT
New soures ready for review

koji scratch
http://koji.fedoraproject.org/koji/taskinfo?taskID=4529881

SPEC: http://raveit65.fedorapeople.org/compiz/SPEC/compiz-bcop.spec

SRPM: http://raveit65.fedorapeople.org/compiz/SRPM/compiz-bcop-0.8.8-3.fc18.src.rpm

%changelog
* Wed Sep 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.8-3
- initial build for fedora
- fix url and source0
Comment 3 leigh scott 2012-09-29 04:33:35 EDT
Approved 


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD The placement of pkgconfig(.pc) files are correct.
     Note: compiz-bcop-0.8.8-3.fc17.noarch.rpm : /usr/share/pkgconfig/bcop.pc
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
See: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL5

Rpmlint
-------
Checking: compiz-bcop-0.8.8-3.fc17.src.rpm
          compiz-bcop-0.8.8-3.fc17.noarch.rpm
compiz-bcop.src: W: spelling-error %description -l en_US xml -> XML, ml, x ml
compiz-bcop.src: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
compiz-bcop.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
compiz-bcop.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
compiz-bcop.noarch: W: devel-file-in-non-devel-package /usr/share/pkgconfig/bcop.pc
compiz-bcop.noarch: W: no-manual-page-for-binary bcop
2 packages and 0 specfiles checked; 0 errors, 6 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
compiz-bcop-0.8.8-3.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/bash  
    /usr/bin/pkg-config  
    pkgconfig  
    util-linux  

Provides
--------
compiz-bcop-0.8.8-3.fc17.noarch.rpm:
    
    compiz-bcop = 0.8.8-3.fc17
    pkgconfig(bcop) = 0.8.8

MD5-sum check
-------------
http://releases.compiz.org/0.8.8/compiz-bcop-0.8.8.tar.bz2 :
  CHECKSUM(SHA256) this package     : 0c6eb97f47012c2d621953962df8bf9338d535c546bf2e8088860ba574efb436
  CHECKSUM(SHA256) upstream package : 0c6eb97f47012c2d621953962df8bf9338d535c546bf2e8088860ba574efb436


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 851808
External plugins:
Comment 4 Wolfgang Ulbrich 2012-09-29 05:37:31 EDT
New Package SCM Request
=======================
Package Name: compiz-bcop
Short Description: Compiz option code generator
Owners: raveit65
Branches: f17 f18
InitialCC:
Comment 5 Gwyn Ciesla 2012-09-29 08:46:20 EDT
Unretired devel, please submit a Package Change for f18 and f17.  Thanks!
Comment 6 Wolfgang Ulbrich 2012-09-29 09:23:40 EDT
Package Change Request
======================
Package Name: compiz-bcop
New Branches: f17 f18
Owners: raveit65
InitialCC:
Comment 7 Gwyn Ciesla 2012-09-29 15:15:23 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-01-16 17:31:38 EST
compiz-bcop-0.8.8-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/compiz-bcop-0.8.8-5.fc18
Comment 9 Fedora Update System 2013-01-19 22:13:15 EST
compiz-bcop-0.8.8-5.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2013-01-28 10:16:42 EST
compiz-bcop-0.8.8-5.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.